<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ce6554f5-e00a-4e58-b446-b816ce9d6671" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/bikeProject.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mvnw" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mvnw.cmd" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/passionProject.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeProjectApplication.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Controller/UserController.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Entity/User.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Service/UserService.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/application.properties" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/test/java/com/passionProject/bikeProject/BikeProjectApplicationTests.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/bikeProject-0.0.1-SNAPSHOT.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/bikeProject-0.0.1-SNAPSHOT.jar.original" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/application.properties" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/passionproject/bikeproject/BikeprojectApplication.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/passionproject/bikeproject/Controller/UserController.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/passionproject/bikeproject/Entity/User.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/passionproject/bikeproject/Repository/UserRepository.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/passionproject/bikeproject/Service/UserService.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/maven-archiver/pom.properties" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/createdFiles.lst" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/inputFiles.lst" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/createdFiles.lst" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/testCompile/default-testCompile/inputFiles.lst" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/surefire-reports/TEST-com.passionProject.bikeProject.BikeProjectApplicationTests.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/surefire-reports/com.passionProject.bikeProject.BikeProjectApplicationTests.txt" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/surefire/surefire6405345168791754347tmp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/surefire/surefire_03634317598468121135tmp" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/surefire/surefirebooter5417707770722776185.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/test-classes/com/passionproject/bikeproject/BikeprojectApplicationTests.class" beforeDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="Interface" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>my</find>
      <find>sql</find>
      <find>jpa</find>
      <find>version</find>
      <find>data-</find>
      <find>project</find>
      <find>spring</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/passionproject/bikeproject/Entity/User.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionproject/bikeproject/Service/UserService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionproject/bikeproject/Controller/UserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionproject/bikeproject/Repository/UserRepository.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeproject/BikeprojectApplication.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeprojectApplication.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Service/UserService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Controller/UserController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Entity/User.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeProjectApplication.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths>
      <path value="$PROJECT_DIR$/cyclingFrontEnd/package.json" />
    </packageJsonPaths>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="width" value="1440" />
    <option name="height" value="900" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
              <item name="bikeProject" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
              <item name="bikeProject" type="462c0819:PsiDirectoryNode" />
              <item name="Controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
              <item name="bikeProject" type="462c0819:PsiDirectoryNode" />
              <item name="Entity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="com" type="462c0819:PsiDirectoryNode" />
              <item name="passionProject" type="462c0819:PsiDirectoryNode" />
              <item name="bikeProject" type="462c0819:PsiDirectoryNode" />
              <item name="Repository" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="bikeproject" type="b2602c69:ProjectViewProjectNode" />
              <item name="CyclingApp" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
      <pane id="PackagesPane" />
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelOrder2" value="2" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="RequestMappingsPanelWidth2" value="15" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Problems" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="reference.projectsettings.compiler.javacompiler" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Application" factoryName="Application">
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <patterns />
    </configuration>
    <configuration name="BikeprojectApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="bikeProject" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.passionProject.bikeProject.BikeProjectApplication" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <properties />
      <listeners />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ce6554f5-e00a-4e58-b446-b816ce9d6671" name="Default" comment="" />
      <created>1531838523932</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1531838523932</updated>
      <workItem from="1531838525545" duration="9239000" />
      <workItem from="1531940509985" duration="4401000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="13640000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="6" />
    <layout>
      <window_info anchor="right" id="Palette" order="6" />
      <window_info anchor="bottom" id="Event Log" order="7" side_tool="true" />
      <window_info anchor="right" id="Maven Projects" order="0" />
      <window_info anchor="bottom" id="Database Changes" order="3" show_stripe_button="false" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Designer" order="0" />
      <window_info anchor="right" id="Database" order="2" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info anchor="right" id="Ant Build" order="8" weight="0.25" />
      <window_info id="UI Designer" order="2" />
      <window_info anchor="bottom" id="Debug" order="9" weight="0.48727274" />
      <window_info anchor="bottom" id="TODO" order="12" />
      <window_info anchor="bottom" id="Messages" order="13" weight="0.32935324" />
      <window_info anchor="right" id="Palette&#9;" order="3" />
      <window_info id="Image Layers" order="1" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="bottom" id="Version Control" order="4" weight="0.32969698" />
      <window_info anchor="bottom" id="Run" order="8" weight="0.32935324" />
      <window_info anchor="bottom" id="Terminal" order="1" visible="true" weight="0.5224242" />
      <window_info active="true" content_ui="combo" id="Project" order="5" visible="true" weight="0.25178826" />
      <window_info id="Web" order="4" side_tool="true" />
      <window_info anchor="right" id="Theme Preview" order="4" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Spring" order="0" weight="0.32969698" />
      <window_info anchor="bottom" id="Inspection" order="11" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="7" type="SLIDING" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="10" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="5" />
      <window_info anchor="right" id="Bean Validation" order="5" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="9" weight="0.25" />
      <window_info anchor="bottom" id="Java Enterprise" order="2" />
      <window_info anchor="bottom" id="Find" order="6" weight="0.32935324" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="1" />
    </breakpoint-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Entity/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="27" column="33" selection-start-line="27" selection-start-column="33" selection-end-line="27" selection-end-column="33" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#862#863#0" expanded="true" />
            <element signature="e#896#897#0" expanded="true" />
            <element signature="e#924#925#0" expanded="true" />
            <element signature="e#959#960#0" expanded="true" />
            <element signature="e#990#991#0" expanded="true" />
            <element signature="e#1038#1039#0" expanded="true" />
            <element signature="e#1078#1079#0" expanded="true" />
            <element signature="e#1114#1115#0" expanded="true" />
            <element signature="e#1146#1147#0" expanded="true" />
            <element signature="e#1196#1197#0" expanded="true" />
            <element signature="e#1238#1239#0" expanded="true" />
            <element signature="e#1273#1274#0" expanded="true" />
            <element signature="e#1304#1305#0" expanded="true" />
            <element signature="e#1352#1353#0" expanded="true" />
            <element signature="e#1392#1393#0" expanded="true" />
            <element signature="e#1427#1428#0" expanded="true" />
            <element signature="e#1458#1459#0" expanded="true" />
            <element signature="e#1506#1507#0" expanded="true" />
            <element signature="e#1546#1547#0" expanded="true" />
            <element signature="e#1578#1579#0" expanded="true" />
            <element signature="e#1606#1607#0" expanded="true" />
            <element signature="e#1648#1649#0" expanded="true" />
            <element signature="e#1682#1683#0" expanded="true" />
            <element signature="e#1722#1723#0" expanded="true" />
            <element signature="e#1758#1759#0" expanded="true" />
            <element signature="e#1816#1817#0" expanded="true" />
            <element signature="e#1866#1867#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Controller/UserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="10" column="45" selection-start-line="10" selection-start-column="45" selection-end-line="10" selection-end-column="45" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Service/UserService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="23" column="5" selection-start-line="23" selection-start-column="5" selection-end-line="23" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#578#579#0" expanded="true" />
            <element signature="e#640#641#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="11" selection-start-line="11" selection-end-line="11" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeProjectApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="12" lean-forward="true" selection-start-line="12" selection-end-line="12" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#267#268#0" expanded="true" />
            <element signature="e#340#341#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/bikeProject.iml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Service/UserService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="23" column="5" selection-start-line="23" selection-start-column="5" selection-end-line="23" selection-end-column="5" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#578#579#0" expanded="true" />
            <element signature="e#640#641#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-dependencies/2.0.3.RELEASE/spring-boot-dependencies-2.0.3.RELEASE.pom">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="40">
          <caret line="985" column="46" selection-start-line="985" selection-start-column="46" selection-end-line="985" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" column="21" selection-start-line="8" selection-start-column="21" selection-end-line="10" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="27" selection-start-line="3" selection-start-column="27" selection-end-line="3" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Entity/User.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="209">
          <caret line="34" column="25" selection-start-line="34" selection-start-column="25" selection-end-line="34" selection-end-column="25" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#862#863#0" expanded="true" />
            <element signature="e#896#897#0" expanded="true" />
            <element signature="e#924#925#0" expanded="true" />
            <element signature="e#959#960#0" expanded="true" />
            <element signature="e#990#991#0" expanded="true" />
            <element signature="e#1038#1039#0" expanded="true" />
            <element signature="e#1078#1079#0" expanded="true" />
            <element signature="e#1114#1115#0" expanded="true" />
            <element signature="e#1146#1147#0" expanded="true" />
            <element signature="e#1196#1197#0" expanded="true" />
            <element signature="e#1238#1239#0" expanded="true" />
            <element signature="e#1273#1274#0" expanded="true" />
            <element signature="e#1304#1305#0" expanded="true" />
            <element signature="e#1352#1353#0" expanded="true" />
            <element signature="e#1392#1393#0" expanded="true" />
            <element signature="e#1427#1428#0" expanded="true" />
            <element signature="e#1458#1459#0" expanded="true" />
            <element signature="e#1506#1507#0" expanded="true" />
            <element signature="e#1546#1547#0" expanded="true" />
            <element signature="e#1578#1579#0" expanded="true" />
            <element signature="e#1606#1607#0" expanded="true" />
            <element signature="e#1648#1649#0" expanded="true" />
            <element signature="e#1682#1683#0" expanded="true" />
            <element signature="e#1722#1723#0" expanded="true" />
            <element signature="e#1758#1759#0" expanded="true" />
            <element signature="e#1816#1817#0" expanded="true" />
            <element signature="e#1866#1867#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Controller/UserController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="32" column="62" selection-start-line="32" selection-start-column="62" selection-end-line="32" selection-end-column="62" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/Repository/UserRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="17" selection-start-line="7" selection-start-column="17" selection-end-line="7" selection-end-column="17" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/passionProject/bikeProject/BikeProjectApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#267#268#0" expanded="true" />
            <element signature="e#340#341#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Spring</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>bikeProject</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>